function populateActivityChart(dayData) {

    let calFormat = 
    {
        lastDay : '[Yesterday]',
        sameDay : '[Today]',
        nextDay : '[Tomorrow]',
        lastWeek : '[Last] dddd',
        nextWeek : 'dddd',
        sameElse : 'L'
    }


    let labels = dayData.days.slice(-7); //.map(day => day.calendar(null, calFormat));
    // console.log("labels", labels)
    
    var weekData = {
            labels: dayData.days.slice(-7),
            datasets: [{
                label: '',
                data: dayData.durations.slice(-7), 
                backgroundColor: 'rgba(6, 191, 184, 0.4)',
                // borderColor: 'rgba(255,99,95, 1)',
                borderWidth: 2
            }]
        };

    var weekOptions = {
            legend: {
                display: false,
                position: 'bottom'
            },
            scales: {
                scaleLabel: [{ 
                    display:true,
                    labelString: "Study time in minutes",
                    autoSkip:false,
                    // padding:50
                }],
                yAxes: [{
                    ticks: {
                        beginAtZero:true,
                        stepSize: 120,
                        suggestedMax:600,
                        callback: function(value, index, values) {
                            return value/60 + " mins";
                        }
                    }
                }],
                xAxes: [{
                    ticks: {
                        autoSkip: false,
                        callback: function(value, index, values) {
                            return value.calendar(null, calFormat)
                        }
                    },
                    time: {
                        unit: 'day'
                    }
                }]
            }
        };

    var allTimeOptions = {
            legend: {
                display: false,
                position: 'bottom'
            },
            scales: {
                scaleLabel: [{ 
                    display:true,
                    labelString: "Study time in minutes",
                    autoSkip:false,
                    // padding:50
                }],
                yAxes: [{
                    ticks: {
                        beginAtZero:true,
                        stepSize: 120,
                        suggestedMax:600,
                        callback: function(value, index, values) {
                            return value/60 + " mins";
                        }
                    }
                }],
                xAxes: [{
                    ticks: {
                        // autoSkip: false
                    },
                    time: {
                        unit: 'day'
                    }
                }]
            }
        };

        


    var allTimeData = {
            labels: dayData.days.map(day => day.calendar(null, calFormat)),
            datasets: [{
                data: dayData.durations,
                backgroundColor: 'rgba(6, 191, 184, 0.4)',
                // borderColor: 'rgba(255,99,95, 1)',
                borderWidth: 2
            }]
        };

    var weekChart = new Chart("weekActivityChart", {
        type: 'line',
        data: weekData,
        options: weekOptions 
    });

    var allTimeChart = new Chart("monthActivityChart", {
        type: 'line',
        data: allTimeData,
        options: allTimeOptions 
    });

    // monthChart.data.labels.pop();
    // monthChart.data.datasets.forEach((dataset) => {
    //     dataset.data.pop();
    // });
    // monthChart.data.datasets.

}