function getAssignmentResults(assignmentsResponse) {
    let data = assignmentsResponse.data.data;
    console.log(data);

    // let average = data.reduce((average, activity) => {
    //     average.totalScore = average.totalScore + activity.score;
    //     average.totalTime = average.totalTime + activity.duration;
    //     average.count = average.count + 1;
    //     return average
    // }, {count:0, totalScore:0, totalTime:0} )
    // console.log("averageScore", average.totalScore/average.count)
    // console.log("averagetime", average.totalTime/average.count)

    // start by making one line for each A in experience across 
    // all the activities
    let answers = data.reduce((answers, activity) => {
        activity.experience
            .filter(item => item.type === "A")
            .forEach(item => {
                answers.push({
                    word: item.word,
                    result: item.result,
                    responseTime: item.responseTime,
                });
        })
        return answers
    }, [])   
    console.log("answers", answers)


    // now reduce to an Object, with words as keys, to sum each word's accuracy and responseTime
    let words = answers.reduce((words, answer) => {
        words[answer.word] = words[answer.word] || {count:0, correct:0, responseTime:0};
        words[answer.word].count += 1;
        words[answer.word].correct += (answer.result===true)?1:0;
        words[answer.word].responseTime += answer.responseTime;
        return words
    }, {})

    console.log("words", words)

    // now turn back to a list, ordered by best to worst
    let wordAccuracy = Object.keys(words).map(key => {
        return {
            word: key,
            accuracy:  words[key].correct / words[key].count,
            responseTime: words[key].responseTime / words[key].count
        }
    }).sort((x,y) => { 
        if (y.accuracy == x.accuracy) {
            return x.responseTime - y.responseTime
        } else {
            return y.accuracy - x.accuracy
        }})

    console.log("wordAccuracy", wordAccuracy)

    // and return the top and bottom three items of that list
    let topThreeWords = wordAccuracy.slice(0, 3)
    let bottomThreeWords = wordAccuracy.slice(-3)

    console.log("top three", topThreeWords)
    console.log("bottom three", bottomThreeWords)

    return {
        topWords: topThreeWords,
        bottomWords: bottomThreeWords
    }
}





// function populateClassChart(classRankData) {
//     console.log(classRankData)

//     var data = {
//             labels: classRankData.names,
//             datasets: [{
//                 data: classRankData.stars,
//                 label: 'Stars',
//                 yAxisID: 'A',
//                 backgroundColor: classRankData.isMes.map(isMe => isMe ? 'rgba(255, 99, 132, 1)':'rgba(54, 162, 235, .9)'),

//                 // borderColor: [
//                 //     'rgba(255,99,132, 0.5)',
//                 //     'rgba(54, 162, 235, 0.5)',
//                 //     'rgba(255, 206, 86, 0.5)',
//                 //     'rgba(75, 192, 192, 0.5)',
//                 //     'rgba(153, 102, 255, 0.5)',
//                 //     'rgba(255, 159, 64, 0.5)',
//                 //     'rgba(255, 162, 155, 0.5)',
//                 // ],
//                 borderWidth: 3
//             }
//             // {
//             //     label: 'Play time',
//             //     type: 'line',
//             //     data: classRankData.durations,
//             //     yAxisID: 'B',
//             //     backgroundColor: 'rgba(255, 99, 132, 0.2)'
//             // }

//             ]
//         };

//     var options = {
//             legend: {
//                 display: false,
//                 position: 'bottom'
//             },
//             scales: {
//                 yAxes: [{
//                     ticks: {
//                     }
//                 }],
//                 yAxes: [{
//                     id: 'A',
//                     type: 'linear',
//                     position: 'left',
//                   }
//                   // {
//                   //   id: 'B',
//                   //   type: 'linear',
//                   //   position: 'right',
//                   //   ticks: {
//                   //       beginAtZero:true,
//                   //       // max: 1,
//                   //       // min: 0
//                   //   }
//                 ],
//                 xAxes: [{
//                     ticks: {
//                         display:false,
//                         beginAtZero:true
//                     }
//                 }]

                        
//             }
//         };


//     var myChart = new Chart("classScoresChart", {
//         type: 'bar',
//         data: data,
//         options: options
//     });
// }
