function reduceCurriculum(curriculumResponse) {
    console.log("curriculum", curriculumResponse)
    let tree = curriculumResponse.reduce((tree, row) => {
        let index = Number(row.unit)
        tree[index] = tree[index] || [];
        tree[index].push("hello");
        return tree
    }, [])
    console.log("tree", tree)
}

function calculateAccuracy(activityHistory) {

    let activities = activityHistory.data.activities;

    console.log(activityHistory)
    console.log("activities", activities    )

    // replace with a weighted function favouring recency
    function dateWeight(date) {
        return 1
    }

    let answers = activities.reduce((answers, activity) => {
        if (activity.experience != undefined) {
            activity.experience
                .filter(item => item.type === "A")
                .forEach(item => {
                    answers.push({
                        word: item.word,
                        result: item.result,
                        responseTime: item.responseTime,
                    });
            })
        }
        return answers
    }, [])   
    console.log("answers", answers)


    // now reduce to an Object, with words as keys, to sum each word's accuracy and responseTime
    let words = answers.reduce((words, answer) => {
        words[answer.word] = words[answer.word] || {count:0, correct:0, responseTime:0};
        words[answer.word].count += 1;
        words[answer.word].correct += (answer.result === true) ? 1 : 0;
        words[answer.word].responseTime += answer.responseTime;
        return words
    }, {})

    // console.log("words", words)

    // now turn back to a list, ordered by best to worst
    let wordAccuracy = Object.keys(words).map(key => {
        return {
            word: key,
            count: words[key].count,
            accuracy:  words[key].correct / words[key].count,
            responseTime: words[key].responseTime / words[key].count
        }
    }).sort((x,y) => { 
        if (y.accuracy == x.accuracy) {
            return x.responseTime - y.responseTime
        } else {
            return y.accuracy - x.accuracy
        }})

    // console.log("wordAccuracy", wordAccuracy)

    // get overall word accuracy as a number 
    let wordCount = wordAccuracy.reduce((wordCount, line) => {
        wordCount = wordCount + 1
        return wordCount
    }, 0)    

    // get overall word accuracy as a number 
    let totalCount = wordAccuracy.reduce((totalCount, line) => {
        totalCount = totalCount + line.count
        return totalCount
    }, 0)

    // console.log("totalCount", totalCount)

    // now accuracy is sum of wordAccuracies, divided by totalCount
    let accuracy = wordAccuracy.reduce((accuracy, line) => {
        accuracy = accuracy + (line.count * line.accuracy) / totalCount
        return accuracy
    }, 0)

    console.log("accuracy", accuracy)


    // and return the top and bottom three items of that list
    let topThreeWords = wordAccuracy.slice(0, 3)
    let bottomThreeWords = wordAccuracy.slice(-3)

    // console.log("top three", topThreeWords)
    // console.log("bottom three", bottomThreeWords)

    return {
        // wordAccuracy: wordAccuracy,
        wordCount: wordCount,
        accuracy: accuracy,
        topWords: topThreeWords,
        bottomWords: bottomThreeWords
    }
}

function calculateLessonScores(activityHistory) {
    let activities = activityHistory.data.activities;

    // group scores by lesson
    let lessons = activities.reduce((lessons, activity) => {
        lessons[activity.lesson] = lessons[activity.lesson] || [];
        lessons[activity.lesson].push(activity.score);
        return lessons
    }, {})

    console.log("lessons", lessons);

    // figure out score averages per lesson
    let result = Object.keys(lessons).reduce((result, key) => {

        let count = lessons[key].length;
        let sum =  lessons[key].reduce((a, b) => a + b, 0);

        result.lessons.push(key)
        result.scores.push(sum/count);

        return result

    }, {lessons:[], scores:[]})
  
    // let averages = Object.keys(lessons).map(key => {
    //     let count = lessons[key].length;
    //     let sum =  lessons[key].reduce((a, b) => a + b, 0);
    //     return sum/count
    // })


    // console.log("result", result);

    return result
}

function calculateDailyPlaytime(activityHistory) {
    let activities = activityHistory.data.activities;

    let days = activities.reduce((days, activity) => {
        
        let day = moment(activity.data).format("MMM Do YYYY");

        // let day = new Date(activity.date);
        console.log(day);

        days[day] = days[day] || []
        days[day].push(activity);
        return days
    }, {})

    // console.log("days", days)

}