function populateSkillsChart(skillsData) {
    var skillsChart = new Chart("skillsChart", {
    type: 'horizontalBar',
    data: {
        labels: skillsData.lessons, //["Listening", "Speaking", "Reading", "Writing & Spelling", "Sentences"],
        datasets: [{
            label: 'Average score',
            data: skillsData.scores, //[60, 95, 50, 25, 70],
            backgroundColor: [
                'rgba(255, 99, 132, 1)',
                'rgba(54, 162, 235, 1)',
                'rgba(255, 206, 86, 1)',
                'rgba(75, 192, 192, 1)',
                'rgba(153, 102, 255, 1)'
            ],
            borderColor: [
                'rgba(255,99,132, 0.5)',
                'rgba(54, 162, 235, 0.5)',
                'rgba(255, 206, 86, 0.5)',
                'rgba(75, 192, 192, 0.5)',
                'rgba(153, 102, 255, 0.5)'
            ],
            borderWidth: 7
        }]
    },
    options: {
        // cutoutPercentage: 50,

        legend: {
            display: false,
            position: 'bottom',
            labels: {
                padding: 50,
                fontSize: 20,
                boxWidth: 20
            }
        },

        scales: {
            scaleLabel: [{ 
                display:true,
                labelString: "Study time in minutes",
                autoSkip:false,
                padding:50
            }],
            yAxes: [{
                ticks: {
                    beginAtZero:true,
                    stepSize: 5
                    
                }
            }],
            xAxes: [{
                ticks: {
                    min:0,
                    max:100,
                    beginAtZero: true,
                    callback: function(value, index, values) {
                        return value + "%";
                    }
                }
            }],
        },

        animation: {
            animateRotate: true, 
            animateScale: true
        }
    }
    });
}